"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_select_dropdown_1 = __importDefault(require("react-native-select-dropdown"));
const select_props_1 = __importDefault(require("./select.props"));
exports.default = (_a) => {
    var { type, value = '', schema, disabled = false, onChange, htmlid, xhrSchema = {}, options = {} } = _a, rest = __rest(_a, ["type", "value", "schema", "disabled", "onChange", "htmlid", "xhrSchema", "options"]);
    const isMultiple = (options.multiple || (schema.anyOf && schema.parsedArray)) && !schema.oneOf;
    const { onChange: givenOnChange, choices, } = select_props_1.default({
        onChange,
        schema,
        type,
        isMultiple,
    });
    const parseMultiSelectValue = (givenValue) => (Array.isArray(givenValue) ? givenValue : [givenValue]);
    return (react_1.default.createElement(react_native_select_dropdown_1.default, Object.assign({}, options, { id: htmlid, buttonStyle: {
            padding: 0,
            marginTop: 2,
            marginBottom: 15,
            height: 35,
            width: '100%',
            backgroundColor: '#f6f6f6',
            borderColor: 'rgba(0, 0, 0, 0.54)',
            borderRadius: 4,
            borderWidth: 1,
        }, buttonTextStyle: {
            fontSize: 14,
            textAlign: 'left'
        }, defaultButtonText: ' ', value: isMultiple ? parseMultiSelectValue(value) : String(value), data: choices, onSelect: (selectedItem, index) => givenOnChange(selectedItem), buttonTextAfterSelection: (selectedItem, index) => {
            return selectedItem;
        }, rowTextForSelection: (item, index) => {
            return String(item.value);
        } })));
};
//# sourceMappingURL=index.js.map